package com.docus.demo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class FileUploadJpgDto {

    @ApiModelProperty(value = "住院号")
    private  String inpatientNo;
    @ApiModelProperty(value = "出院时间")
    private Date disDate;
    @ApiModelProperty("文件展示标题")
    private String fileTitle;
    @ApiModelProperty("上传的文件文件名，用于multipartFile")
    private String uploadFileName;
    @ApiModelProperty("分段id")
    private String assortId;
    @ApiModelProperty("patientId")
    private String patientId;
    @ApiModelProperty("住院时间")
    private Date admissDate;
    @ApiModelProperty("性别")
    private String sex;
    @ApiModelProperty("姓名")
    private String name;
    @ApiModelProperty("住院次数")
    private Integer admissTimes;
    @ApiModelProperty("诊断编码")
    private String mainDiagCode;
    @ApiModelProperty("诊断名")
    private String mainDiagName;
    @ApiModelProperty(value = "住院科室")
    private String admissDept;
    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;
    @ApiModelProperty(value = "出院科室")
    private String disDept;
    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;

    @ApiModelProperty(value = "住院ID号")
    private String admissId;

    @ApiModelProperty(value = "年龄")
    private Integer age;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "主要手术编码")
    private String mainOperateCode;

    @ApiModelProperty(value = "主要手术名称")
    private String mainOperateName;
    @ApiModelProperty(value = "院区")
    private String wardPalce;

    @ApiModelProperty(value = "出生年月")
    private Date birthday;

}
