package com.docus.demo.facade;

import com.docus.demo.dto.SyncBasicDataDto;
import com.docus.demo.dto.SyncFileDto;
import com.docus.demo.dto.UploadJpgFileParam;
import com.docus.demo.entity.CommonResult;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

public interface ISyncBasicFileService {


    /**
     * 根据条件同步文件信息
     * @param syncFileDto
     * @return
     */
    CommonResult<?> syncBasicFile(SyncFileDto syncFileDto);

    CommonResult<?> deleteSync(SyncBasicDataDto syncBasicDataDto);


    CommonResult<?>fileUploadJpg(MultipartFile[] files, UploadJpgFileParam uploadJpgFileParam);
}
