package com.docus.demo.mapper.mysql;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.demo.entity.ScanAssort;
import com.docus.demo.entity.ZdAssort;
import org.apache.ibatis.annotations.Param;

import java.util.List;



public interface ScanAssortMapper  {


    List<ScanAssort> getListByPid(@Param("pid") String pid);


    List<ScanAssort> getListByAssortId(@Param("assortId") String assortId,@Param("pid") String pid);


    int insertBatch(@Param("list") List<ScanAssort> scanAssortList);


    void insertOrUpdateBatch(List<ScanAssort> scanAssortList);


    boolean addScanAssort(@Param("list")List<ScanAssort> scanAssortList);

    int deleteByPid(@Param("pidList") List<String> pidList);

    int delScanAssort(@Param("patientId")String patientId);

    List<ScanAssort>getScanAssort(@Param("patientId")String patientId);
}
