package com.docus.demo.service;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.concurrent.*;

public class Test {
    public static void main(String[] args) {
        ExecutorService executor = new ThreadPoolExecutor(30, 30,
                30L, TimeUnit.DAYS,
                new LinkedBlockingQueue<Runnable>());

        while (true){
            // 创建一个有返回值的异步任务
            CompletableFuture<Void> future = CompletableFuture.runAsync(() -> {
                try {
                    System.out.println(new SimpleDateFormat("yyyyMMdd HHmmss") .format(new Date())+" "+Thread.currentThread().getName()+"打印");
                    Thread.sleep(10000);
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
            },executor);
            // 获取异步任务的结果
            future.join();
        }

    }
}
