package com.docus.demo.entity.sqlserver1;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 1．老版的ba3表的资料。	   2．老版的ba3_f表的资料。	   
 * </p>
 *
 * @author jiashi
 * @since 2022-08-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TDIAGNOSE")
@ApiModel(value="Tdiagnose对象", description="1．老版的ba3表的资料。	   2．老版的ba3_f表的资料。	   ")
public class Tdiagnose implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "PK，自动增长")
    @TableField("FID")
    private Long fid;

    @ApiModelProperty(value = "病案号")
    @TableField("FPRN")
    private String fprn;

    @ApiModelProperty(value = "次数")
    @TableField("FTIMES")
    private Integer ftimes;

    @ApiModelProperty(value = "诊断类型，原ZDXH字段")
    @TableField("FZDLX")
    private String fzdlx;

    @ApiModelProperty(value = "ICD版本：9：ICD9字典库，10：ICD10字典库，待扩展")
    @TableField("FICDVERSION")
    private Integer ficdversion;

    @ApiModelProperty(value = "ICD码")
    @TableField("FICDM")
    private String ficdm;

    @ApiModelProperty(value = "疾病名称")
    @TableField("FJBNAME")
    private String fjbname;

    @ApiModelProperty(value = "疗效编号")
    @TableField("FZLJGBH")
    private String fzljgbh;

    @ApiModelProperty(value = "疗效")
    @TableField("FZLJG")
    private String fzljg;

    @ApiModelProperty(value = "排序")
    @TableField("FPX")
    private Long fpx;

    @ApiModelProperty(value = "入院病情")
    @TableField("FRYBQBH")
    private String frybqbh;

    @ApiModelProperty(value = "入院病情编号")
    @TableField("FRYBQ")
    private String frybq;


}
