package com.docus.demo.entity.sqlserver1;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 老版的ba4表的资料。
 * </p>
 *
 * @author jiashi
 * @since 2022-08-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TOPERATION")
@ApiModel(value="Toperation对象", description="老版的ba4表的资料。")
public class Toperation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "PK，自动增长")
    @TableField("FID")
    private Long fid;

    @ApiModelProperty(value = "病案号")
    @TableField("FPRN")
    private String fprn;

    @ApiModelProperty(value = "次数")
    @TableField("FTIMES")
    private Integer ftimes;

    @ApiModelProperty(value = "病人姓名")
    @TableField("FNAME")
    private String fname;

    @ApiModelProperty(value = "手术次数")
    @TableField("FOPTIMES")
    private Integer foptimes;

    @ApiModelProperty(value = "手术码")
    @TableField("FOPCODE")
    private String fopcode;

    @ApiModelProperty(value = "手术码对应名称")
    @TableField("FOP")
    private String fop;

    @ApiModelProperty(value = "手术日期")
    @TableField("FOPDATE")
    private Date fopdate;

    @ApiModelProperty(value = "切口编号")
    @TableField("FQIEKOUBH")
    private String fqiekoubh;

    @ApiModelProperty(value = "切口")
    @TableField("FQIEKOU")
    private String fqiekou;

    @ApiModelProperty(value = "愈合编号")
    @TableField("FYUHEBH")
    private String fyuhebh;

    @ApiModelProperty(value = "愈合")
    @TableField("FYUHE")
    private String fyuhe;

    @ApiModelProperty(value = "手术医生编号")
    @TableField("FDOCBH")
    private String fdocbh;

    @ApiModelProperty(value = "手术医生")
    @TableField("FDOCNAME")
    private String fdocname;

    @ApiModelProperty(value = "麻醉方式编号")
    @TableField("FMAZUIBH")
    private String fmazuibh;

    @ApiModelProperty(value = "麻醉方式")
    @TableField("FMAZUI")
    private String fmazui;

    @ApiModelProperty(value = "是否附加手术")
    @TableField("FIFFSOP")
    private Integer fiffsop;

    @ApiModelProperty(value = "I助编号")
    @TableField("FOPDOCT1BH")
    private String fopdoct1bh;

    @ApiModelProperty(value = "I助姓名")
    @TableField("FOPDOCT1")
    private String fopdoct1;

    @ApiModelProperty(value = "II助编号")
    @TableField("FOPDOCT2BH")
    private String fopdoct2bh;

    @ApiModelProperty(value = "II助姓名")
    @TableField("FOPDOCT2")
    private String fopdoct2;

    @ApiModelProperty(value = "麻醉医生编号")
    @TableField("FMZDOCTBH")
    private String fmzdoctbh;

    @ApiModelProperty(value = "麻醉医生")
    @TableField("FMZDOCT")
    private String fmzdoct;

    @ApiModelProperty(value = "排序")
    @TableField("FPX")
    private Long fpx;

    @ApiModelProperty(value = "手术所在科室统一科号")
    @TableField("FOPTYKH")
    private String foptykh;

    @ApiModelProperty(value = "手术所在科室名称")
    @TableField("FOPKSNAME")
    private String fopksname;

    @ApiModelProperty(value = "择期手术编号")
    @TableField("FZQSSBH")
    private String fzqssbh;

    @ApiModelProperty(value = "择期手术")
    @TableField("FZQSS")
    private String fzqss;

    @ApiModelProperty(value = "手术级别编号")
    @TableField("FSSJBBH")
    private String fssjbbh;

    @ApiModelProperty(value = "手术级别")
    @TableField("FSSJB")
    private String fssjb;


}
