package com.docus.demo.entity.sqlserver1;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class Tpatientvisit implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "病案号")
    @TableField("FPRN")
    private String fprn;

    @ApiModelProperty(value = "住院次数")
    @TableField("FTIMES")
    private Integer ftimes;

    @ApiModelProperty(value = "住院流水号")
    @TableField("FZYID")
    private String fzyid;

    @ApiModelProperty(value = "年龄")
    @TableField("FAGE")
    private String fage;

    @ApiModelProperty(value = "病人姓名")
    @TableField("FNAME")
    private String fname;

    @ApiModelProperty(value = "性别")
    private String fsex;

    @ApiModelProperty(value = "性别")
    private String fsexbh;

    @ApiModelProperty(value = "身份证号")
    @TableField("FIDCARD")
    private String fidcard;

    @ApiModelProperty(value = "单位电话")
    @TableField("FDWTELE")
    private String fdwtele;

    @ApiModelProperty(value = "联系人电话")
    @TableField("FLXTELE")
    private String flxtele;

    @ApiModelProperty(value = "入院日期")
    @TableField("FRYDATE")
    private Date frydate;

    @ApiModelProperty(value = "入院统一科号，对应tWorkroom的FTykh")
    @TableField("FRYTYKH")
    private String frytykh;

    @ApiModelProperty(value = "入院科别")
    @TableField("FRYDEPT")
    private String frydept;

    @ApiModelProperty(value = "出院日期")
    @TableField("FCYDATE")
    private Date fcydate;

    @ApiModelProperty(value = "出院统一科号，对应tWorkroom的FTykh")
    @TableField("FCYTYKH")
    private String fcytykh;

    @ApiModelProperty(value = "出院科别")
    @TableField("FCYDEPT")
    private String fcydept;

    @ApiModelProperty(value = "实际住院天数")
    @TableField("FDAYS")
    private Integer fdays;

    @ApiModelProperty(value = "主治医生编号")
    @TableField("FZZDOCTBH")
    private String fzzdoctbh;

    @ApiModelProperty(value = "主治医生")
    @TableField("FZZDOCT")
    private String fzzdoct;

    @ApiModelProperty(value = "现住址")
    @TableField("FCURRADDR")
    private String fcurraddr;

    @ApiModelProperty(value = "病理诊断")
    @TableField("FPHZD")
    private String fphzd;

    @ApiModelProperty(value = "是否死亡")
    @TableField("fbody")
    private String fbody;

    @ApiModelProperty(value = "出生日期")
    private Date Fbirthday;
}
