package com.docus.demo.mapper.mysql;


import com.docus.demo.dto.BasicSelectDto;
import com.docus.demo.dto.SyncBasicDataDto;
import com.docus.demo.entity.Tbasic;
import com.docus.demo.entity.TbasicSub;
import com.docus.demo.vo.BasicVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;



public interface BasicMapper {

    List<BasicVo> getBasicVoList(@Param("pageStart") int pageStart,
                                 @Param("pageEnd") int pageEnd,
                                 @Param("dto") BasicSelectDto basicSelectDto,
                                 @Param("list") List<String> inpatientNoList);


    void insertOrUpdateByid(List<Tbasic> tbasicList);

    Boolean addBasic(@Param("list")List<Tbasic> tbasicList);

    List<Tbasic> getOldBasicList(@Param("list") List<String> fprnList, @Param("dto") SyncBasicDataDto syncBasicDataDto);

    List<Tbasic> getOldBasicListLimit(@Param("pageStart") int pageStart,
                                      @Param("pageEnd") int pageEnd,@Param("list") List<String> fprnList, @Param("dto") SyncBasicDataDto syncBasicDataDto);

    void updateScanStatus(@Param("pid")String pid);



    void insertOrUpdateTbasicSub(@Param("list") List<TbasicSub> tbasicSubList);

    void delTbasicSub(@Param("patientId")String patientId);

    Tbasic getTbasicPatientId(@Param("admissId")String admissId);

    Boolean delTbasicByPatientId(@Param("admissId")String admissId);

}
